reactives 0.2.0
reactives: ^0.2.0 copied to clipboard

A new way to extract/group/reuse common logic of StatefulWidget. Think of them like React hooks but for and of flutter.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add reactives

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  reactives: ^0.2.0

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:reactives/reactives.dart';
10
likes
130
pub points
1%
popularity

Publisher

ripemango.us

A new way to extract/group/reuse common logic of StatefulWidget. Think of them like React hooks but for and of flutter.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter

More

Packages that depend on reactives